<?php
//-------Author TGKGamer--------//
//-------$id - id news -------//
//-------$name - название ------//
//-------$text - Сама новость ---//
//-------$user - кто добавил ----//
//Инклуды сменить на свои(dbc.php, head.php)
//---------------------------//
error_reporting(0);
include 'conf/dbc.php';
include 'conf/session_start.php';
$page_title = 'Новости игры';
include 'conf/head.php';
include 'conf/top.php';
$usid=abs(intval($_SESSION['id']));
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();

$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`news`"));



include_once 'nav_class.php';
echo '<center><p class="name2">Новости игры'.$usr.'</p></center>';

//Эх подстраничная навигация нелезть:)
$nstr='15'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`news`"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
//----------//
$news="SELECT * FROM news ";

$rw=$dbc->query("SELECT * FROM `news` ORDER BY`id` DESC LIMIT $str,$nstr"); //Запрос в бд 
while($rn = mysqli_fetch_assoc($rw)) {
$id=$rn['id'];
$name=$rn['name'];
$user=$rn['user'];




echo '<p><div class="r2"><a  style="text-decoration:none" class="lal3" href="news_id.php?id='.$id.'"><img src="img/ico/forum.png" width="16" height="16"/> '.$name.'</a></span>';
//echo '<p>Добавил:<span class="net"> '.$user.'<p></span><p style="border-top: dashed #444e4f 1px;"> </p>';

if($usst['admin']==1 and isset($_GET['did'])){$dbc->query("DELETE FROM`news` WHERE`id`='".intval($_GET['did'])."'");header('location: ?');
}
if($usst['admin']==1){echo'<a style="text-decoration:none;" href="?did='.($rn['id']).'"><span class="red"> (удалить)</span></a>';}
echo'</div>';
}

if($count==0){echo'<p style="border-top: dashed #444e4f 1px;"></p>Новостей нет!<p style="border-top: dashed #444e4f 1px;"></p>';}
$pages->print_nav('&'); //Навигация гг

$msg=filter($_POST['msg']);
$usid=intval($_SESSION['id']);


require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>